Project

General

Profile

Packaging request #2379

[virtualbox] < 4.2, without Open Watcom

temporaryuser - 4 months ago - . Updated 4 months ago.

Status:
open
Priority:
bug
Assignee:
-
% Done:

0%


Description

Wikipedia says:
"Building the BIOS for VirtualBox since version 4.2[citation needed] requires the use of the Open Watcom compiler…"
If this is true, VirtualBox < 4.2 may be included, if it is not possible to build later versions BIOS from source code.

History

#1

Updated by bill-auger 4 months ago

there does not seem to be any value in doing that work; especially when it would be frozen at that version, which is already far behind upstream

according to the blacklist entry, virtualbox would need a lot of work beyond that one issue

* contains BIOS which needs a nonfree compiler to build from source (OpenWatcom compiler)
* doesn't contains free distros presets for the virtual machine creation wizard
* supports for nonfree Extension Pack
* has nonfree user manual and adapted to nonfree linux kernel

but, the main reason that there is so little value compared to the amount of work required, is because QEMU works very well for the same purpose - there are also user-friendly GUI front-ends for it, such as gnome-boxes, virt-manager, x2go, and others

#2

Updated by temporaryuser 4 months ago

What should I do if I don't have hardware virtualization support?

#3

Updated by bill-auger 4 months ago

QEMU does not require hardware virtualization support - it is optional

#4

Updated by temporaryuser 4 months ago

IIRC, QEMU without hardware virtualization is slow and VirtualBox is faster.

Also available in: Atom PDF